Get all iPXE templates

View as Markdown

Get all iPXE templates propagated from nico-core. Optionally restrict to one or more sites with the siteId query parameter.

The Infrastructure Provider and Tenant are inferred from the org’s membership. User must have authorization role with PROVIDER_ADMIN, PROVIDER_VIEWER, or TENANT_ADMIN suffix.

Authentication

AuthorizationBearer
``` export JWT_BEARER_TOKEN="<jwt-bearer-token>" # Example org name: "acme-inc export ORG_NAME=<org-name> # Use the JWT bearer token in your API request auth header: curl -v -X GET -H "Content-Type: application/json" -H "Authorization: Bearer $JWT_BEARER_TOKEN" https://nico-rest-api.nico.svc.cluster.local/v2/org/$ORG_NAME/nico/user/current ```

Path parameters

orgstringRequired
Name of the Org

Query parameters

siteIdlist of stringsOptional

Optional site ID(s); may be repeated to restrict results to templates available at any of the sites

pageNumberintegerOptional>=1Defaults to 1
Page number for pagination query
pageSizeintegerOptional1-100
Page size for pagination query
orderByenumOptional
Ordering for pagination query

Response headers

X-Paginationstring
Pagination result in JSON format

Response

OK
idstringformat: "uuid"
Stable template UUID assigned by core
namestring
Globally unique template name
templatestring
Raw iPXE script content
requiredParamslist of strings
Parameters that must be provided to render the template
reservedParamslist of strings

Parameters reserved by the template and not user-supplied

requiredArtifactslist of strings
Artifact names required for the template
visibilitystring

Template visibility: Internal or Public

createddatetimeRead-only
updateddatetimeRead-only

Errors

403
Forbidden Error